LadioCast 0.12.2 Released – LadioCast Development Notes No.92

in LadioCast
LadioCast Version 0.12.2 has been released on MAS.
Changes from version 0.12.1 to 0.12.2 are as follows:
  • Dynamic link libraries rebuilt.
for macOS 10.10 Yosemite sha1 referencing.
Any reports or suggestions are welcome, by comments below or emails.
Cheers.

20 Responses to “LadioCast 0.12.2 Released – LadioCast Development Notes No.92”

    • kawauso

      Thank you for the reply.
      Please set up again the opus of the tsperring page with the original source client. I will compare them.
      Cheers.

  1. yes that is with ladio_cast. chrome cannot play the stream. perhaps I need to specify the codec as with he-aac in the html5 audio tag? right now i am playing no sound just dead air.

Leave a Reply

*


LadioCast 0.12.1 Released – LadioCast Development Notes No.91

in LadioCast
LadioCast Version 0.12.1 has been released on MAS.
Changes from version 0.12.0 to 0.12.1 are as follows:
  • Added libmp3lame library version 3.99.5 inside.
  • Updated libopus library to version 1.1.5.
So you don’t need to watch the how-to video any more:).
On the recent macOS, I noticed that your configuration values on the streamer windows were overwritten by defaults. That also should have been fixed.
As always any reports or suggestions are welcome, by the comments below or emails.
Have fun!

4 Responses to “LadioCast 0.12.1 Released – LadioCast Development Notes No.91”

  1. 配信で使わせていただいております。
    早速最新版をApp Storeからダウンロードして起動しようとしたところクラッシュしてしまいます
    OSのバージョンは10.10.5です
    レポートには以下の様なエラーメッセージが出ています
    Dyld Error Message:
    Library not loaded: @executable_path/../Frameworks/libopus.0.dylib
    Referenced from: /Applications/LadioCast.app/Contents/Frameworks/Shared.dylib
    Reason: no suitable image found. Did find:
    /Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib: code signature invalid for ‘/Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib’

    /Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib: code signature invalid for ‘/Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib’
    今回のバージョンからYosemiteはサポートから外れたのでしょうか?
    旧バージョンがダウンロードできるようにしていただけるとありがたいです

    • kawauso

      akiさんこんにちは!
      LadioCast 0.12.1のターゲットOSバージョンは10.6と設定しています。
      10.10の環境が手元にないので10.9.5で試してみましたが特に当該のエラーを再現させることができませんでした。
      同様のエラーは他のアプリでも起きるようなので
      https://discussion.evernote.com/topic/87930-evernote-does-not-start-mac-10105/
      できればLadioCastについても異なる環境で試して再現性等みてください。
      何かわかりましたらまたここに書いてください。
      それでは。

  2. jaxom

    自分も 10.10.5 ですが、起動しません。

    Library not loaded: @executable_path/../Frameworks/libopus.0.dylib
    Referenced from: /Applications/LadioCast.app/Contents/Frameworks/Shared.dylib
    Reason: no suitable image found. Did find:
    /Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib: code signature invalid for ‘/Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib’

    /Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib: code signature invalid for ‘/Applications/LadioCast.app/Contents/MacOS/../Frameworks/libopus.0.dylib’

    アクセス権の問題かと修復をかけましたが、クラッシュします。

  3. kawauso

    jaxomさんこんにちは!
    10.10ですがだいたい話がわかったと思われます。詳細は
    https://stackoverflow.com/questions/41865537/how-does-apples-codesign-utility-decide-which-sha-algorithms-to-sign-a-shared
    で書かれている事情となりますが、今までうまくいっていたのはデフォルトでsha1とsha256の両方のsigningが行われていたのがSierraからsha256のみになったからだと思われます。
    LadioCastについて、まあどうしようか迷いましたがバージョンの途中で対象OSを絞るのもあれですのでsha1もつけたdylibを生成してリンクした0.12.2を出すことにします。
    10.10をお使いの方は次のバージョンをお試しください。

Leave a Reply